// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
// import store from './store'
// import router from './router'
// import '@/styles/index.scss' // global css
// import '@/styles/iconfont/iconfont.css' // icon svg

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import locale from 'element-ui/lib/locale/lang/zh-CN'
import '@/styles/element-variables.scss' // elemrnt-ui 主题色
locale.size = 'small' // 设置默认尺寸
Vue.use(ElementUI, locale)

Vue.config.productionTip = false // lang i18n

// import Print from '@/vendor/print'
// Vue.use(Print) // 注册

// import pageloading from '@/components/Loading' // 全局loading效果 v-pageloading
// Vue.use(pageloading) // 注册全局loading效果 v-pageloading

// import '@/permission' // permission control
// import * as filters from './filters' // global filters
// // register global utility filters
// Object.keys(filters).forEach(key => {
//   Vue.filter(key, filters[key])
// })

// Vue.prototype.arrayToMap = function(array, key = 'value') {
//   const map = {}
//   if (array) {
//     for (let index = 0; index < array.length; index++) {
//       const element = array[index]
//       map[element[key]] = element
//     }
//   }

//   return map
// }
/* eslint-disable no-new */
new Vue({
  el: '#app',
  // router,
  // store,
  render: h => h(App)
})
